### Hierarchy

- RTCRtpSender

## Index

### Properties

- dtmf
- rtcpTransport
- track
- transport

### Methods

- getParameters
- getStats
- replaceTrack
- setParameters
- setStreams

## Properties

### dtmf

dtmf: RTCDTMFSender | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11685

### rtcpTransport

rtcpTransport: RTCDtlsTransport | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11686

### track

track: MediaStreamTrack | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11687

### transport

transport: RTCDtlsTransport | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11688

## Methods

### getParameters

- getParameters(): RTCRtpSendParameters

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11689

  #### Returns RTCRtpSendParameters

### getStats

- getStats(): Promise<RTCStatsReport>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11690

  #### Returns Promise<RTCStatsReport>

### replaceTrack

- replaceTrack(withTrack: MediaStreamTrack | null): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11691

  #### Parameters

  - ##### withTrack: MediaStreamTrack | null

  #### Returns Promise<void>

### setParameters

- setParameters(parameters: RTCRtpSendParameters): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11692

  #### Parameters

  - ##### parameters: RTCRtpSendParameters

  #### Returns Promise<void>

### setStreams

- setStreams(...streams: MediaStream[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11693

  #### Parameters

  - ##### Rest ...streams: MediaStream[]

  #### Returns void

Generated using TypeDoc